Index: /extensions/ASearchEngine/language/lv_LV/description.txt
===================================================================
--- /extensions/ASearchEngine/language/lv_LV/description.txt	(revision 8050)
+++ /extensions/ASearchEngine/language/lv_LV/description.txt	(revision 8050)
@@ -0,0 +1,1 @@
+Paplašinātās meklēšanas dzinis
Index: /extensions/ASearchEngine/language/lv_LV/index.php
===================================================================
--- /extensions/ASearchEngine/language/lv_LV/index.php	(revision 8050)
+++ /extensions/ASearchEngine/language/lv_LV/index.php	(revision 8050)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ASearchEngine/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/ASearchEngine/language/lv_LV/plugin.lang.php	(revision 8050)
+++ /extensions/ASearchEngine/language/lv_LV/plugin.lang.php	(revision 8050)
@@ -0,0 +1,133 @@
+<?php
+
+
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before']="Lai instalētu šo spraudni, vispirms ir nepieciešams uzinstalēt Grum Plugin Classes %s ";
+
+$lang['ase_release']='r';
+
+$lang['ASETag']="Paplašinātās meklēšanas dzinis – Iezīmes (Tagi)";
+$lang['ASERate']="Paplašinātās meklēšanas dzinis – Vidējais vērtējums";
+$lang['ASEDate']="Paplašinātās meklēšanas dzinis - Datumi";
+$lang['ASECategory']="Paplašinātās meklēšanas dzinis - Kategorijas";
+$lang['ASEKeyword']="Paplašinātās meklēšanas dzinis - Atslēgvārdi";
+$lang['ASEHD']="Paplašinātās meklēšanas dzinis - HD Attēli";
+
+$lang['ase_search']='Meklēt';
+$lang['ase_config']='Konfigurācija';
+
+$lang['ase_search_with_multiple_criteria']="Meklēšana pēc vairākiem kritērijiem";
+
+$lang['ase_ok']="Ok";
+$lang['ase_cancel']="Atcelt";
+
+$lang['ase_add_category']="Pievienot vienu vai vairākas kategorijas";
+$lang['ase_add_date']="Pievienot periodu";
+$lang['ase_add_keyword']="Pievienot atslēgvārdu";
+$lang['ase_add_HD']="Pievienot info par HD attēla klātbūtni";
+$lang['ase_add_rate']="Pievienot vērtējumu";
+$lang['ase_add_tag']="Pievienot vienu vai vairākas iezīmes";
+
+
+$lang['ase_choose_categories']="Meklēt pēc vienas vai vairākām kategorijām";
+$lang['ase_choose_date']="Meklēt noteiktā laika periodā";
+$lang['ase_search_keyword']="Meklēt pēc atslēgvārda";
+$lang['ase_search_HD']=" Meklēt pēc HD attēla klātbūtnes";
+$lang['ase_search_tags']="Meklēt pēc iezīmēm";
+$lang['ase_choose_rate']="Meklēt pēc vērtējuma";
+
+$lang['ase_categories']="Kategorijas";
+$lang['ase_category']="Kategorija";
+$lang['ase_y']='Jā';
+$lang['ase_n']='Nē';
+$lang['ase_one_category_must_be_selected']="Jābūt izvēlētai kategorijai";
+$lang['ase_searching_in_subcat']="Meklēt apakškategorijās";
+$lang['ase_with_search_in_subcat']="ar meklējumu apakškategorijās";
+
+$lang['ase_search_on_date']="Meklēt pēc datuma";
+$lang['ase_date_between']="Starp";
+$lang['ase_date_to']="un";
+$lang['ase_image_availability']="pieejamības galerijā";
+$lang['ase_image_shot']="uzņemti attēli";
+$lang['ase_the_date']="Datums";
+$lang['ase_is_between']="ir starp"; // datums ir starp ... un ...
+$lang['ase_is_between_and']="un"; // datums ir starp ... un ...
+$lang['ase_is_greater_or_equal']="ir lielāks par vai vienāds ar"; //datums ir lielāks vai vienāds ar ...
+$lang['ase_is_less_or_equal']="ir mazāks par vai vienāds ar"; // datums ir mazāks vai vienāds ar ...
+$lang['ase_is_equal_to']="ir vienāds ar"; // datums ir ...
+
+$lang['ase_dateCreation']="Uzņemšanas datums";
+$lang['ase_dateAvailable']="Derīgais datums";
+
+$lang['ase_error_date_from']="Perioda sākuma datums nav korekts";
+$lang['ase_error_date_to']="Perioda beigu datums nav korekts";
+$lang['ase_error_date']="Datums nav korekts";
+$lang['ase_error_period']="Definēts nekorekts periods: perioda sākuma datumam jābūt mazākam vai vienādam ar perioda beigu datumu";
+
+$lang['ase_keyword']="Meklējamie atslēgvārdi";
+$lang['ase_ignore_case']="Ignorēt reģistru";
+$lang['ase_whole_words_only']="Tikai veselus vārdus";
+$lang['ase_search_into']="Meklēt iekš";
+$lang['ase_picture_name']="attēla nosaukums";
+$lang['ase_picture_desc']="attēla komentārs";
+$lang['ase_picture_filename']="attēla faila nosaums";
+
+$lang['ase_error_keyword_length']="Meklējamie atslēgvārdi ir par maz !";
+$lang['ase_error_no_target']="Meklēšanu būtu jāveic vismaz viena attēla raksturlielumos (properties)";
+$lang['ase_optName']="Nosaukums";
+$lang['ase_optDesc']="Komentārs";
+$lang['ase_optFileName']="Faila nosaukums";
+$lang['ase_search_the_keyword']="Meklēšana pēc atslēgvārda";
+$lang['ase_search_into_name']="Attēla nosaukumos";
+$lang['ase_search_into_desc']="Attēla komentāros";
+$lang['ase_search_into_filename']="Attēla faila nosaukumos";
+$lang['ase_search_with_case_ignored']="Burtu reģistrs tiek ignorēts";
+$lang['ase_search_with_whole_words']="Tikai pēc pilniem vārdiem";
+
+$lang['ase_search_hd']="Meklēt HD attēlus";
+
+$lang['ase_the_picture_has_HD']="HD attēla klātbūtne";
+$lang['ase_the_picture']="Attēls";
+$lang['ase_picture_with_hd']="ir HD attēls";
+$lang['ase_picture_without_hd']="nav HD attēla";
+
+$lang['ase_the_rate']="Vērtēt";
+$lang['ase_dont_have_rate']="attēls nav vērtēts";
+$lang['ase_Dont_have_rate']="Attēls nav vērtēts"; // Ar pirmo lielo burtu
+$lang['ase_average_rate']="Vidējais vērtējums";
+
+$lang['ase_error_rate_range']="Intervāls ir nekorekts: minimālajam novērtējumam jābūt mazākam vai vienādam ar maksimālo vērtējumu";
+$lang['ase_is_between2']="ir starp"; // vērtējums ir starp ... un ...
+$lang['ase_is_between_and2']="un"; // vērtējums ir starp ... un ...
+$lang['ase_is_greater_or_equal2']="ir lielāks par vai vienāds ar"; // vērtējums ir lielāks vai vienāds ar ...
+$lang['ase_is_less_or_equal2']="ir mazāks par vai vienāds ar"; // vērtējums ir mazāks vai vienāds ar ...
+$lang['ase_is_equal2']="vienāds"; // vērtējums ir vienāds ...
+
+
+$lang['ase_config']="Konfigurācija";
+$lang['ase_gallery_integration']="Integrēšana galerijā";
+$lang['ase_keyword_module']="Modulis 'Atslēgvārds'";
+
+$lang['ase_publicAccess_active']="Aizvieto Piwigo meklēšanas lapu ar <i> Paplašinātās Meklēšanas</i> lapu";
+$lang['ase_publicAccess_allowedPlugins']="Pieejami Moduļi:";
+$lang['ase_publicAccess_applyLimits']="Atgriezts vienību skaita limits";
+$lang['ase_keyword_minLength']="Lai veiktu meklēšanu pēc atslēgvārda, nepieciešams minimālais rakstzīmju skaits";
+
+$lang['ase_error_limit_must_be_integer_gt_0']="Atgriezto vienību skaitam jābūt veselam skaitlim lielākm par 0";
+$lang['ase_error_key_word_min_length_must_be_integer_gt_0']="Minimālajam rakstzīmju skaitam jābūt veselam skaitlim lielākam par 0";
+$lang['ase_error_no_module_checked']="Ja taisaties aizvietot Piwigo meklēšanas lapu, jābūt izvēlētam vismaz vienam modulim";
+
+$lang['ase_apply']="Pielietot";
+$lang['ase_config_saved']="Konfigurācija ir saglabāta";
+
+$lang['ase_tags']="Iezīmes";
+$lang['ase_tag_start_to_type_text']="Sāciet rakstīt...";
+$lang['ase_tag_x_tags_display']="Parādītas %s iezīmes ";
+$lang['ase_tag_x_tags_found']="Atrastas %s iezīmes";
+$lang['ase_tag_method_and']="Visām atlasītajām iezīmēm ir jāeksistē";
+$lang['ase_tag_method_or']="Vienai no atlasītajām iezīmēm ir jāeksistē";
+$lang['ase_tag_method_and_text']="Visām iezīmēm ir jāeksistēt:";
+$lang['ase_tag_method_or_text']="Vienai iezīmei jāeksistē:";
+$lang['ase_error_no_tag_selected']="Vismaz vienai iezīmei jābūt izvēlētai";
+
+
+?>