Index: /extensions/ColorStat/language/lv_LV/description.txt
===================================================================
--- /extensions/ColorStat/language/lv_LV/description.txt	(revision 8055)
+++ /extensions/ColorStat/language/lv_LV/description.txt	(revision 8055)
@@ -0,0 +1,1 @@
+Statistiskās analīzes un pētījumi par krāsu
Index: /extensions/ColorStat/language/lv_LV/index.php
===================================================================
--- /extensions/ColorStat/language/lv_LV/index.php	(revision 8055)
+++ /extensions/ColorStat/language/lv_LV/index.php	(revision 8055)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ColorStat/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/ColorStat/language/lv_LV/plugin.lang.php	(revision 8055)
+++ /extensions/ColorStat/language/lv_LV/plugin.lang.php	(revision 8055)
@@ -0,0 +1,115 @@
+<?php
+
+$lang['Grum Plugin Classes is not installed'] = 'Spraudnis <b>Grum Plugin Classes</b> nav uzinstalets';
+
+$lang['cstat_release'] = 'v';
+$lang['cstat_ok']='OK';
+
+$lang['cstat_install'] = 'Instalacija';
+$lang['cstat_step_1'] = 'Krasas atsauces izvele';
+$lang['cstat_step_1_help'] = "
+Spraudna analižu uzdevums ir veikt attela atrasto krasu salidzinašanu ar defineta krasu diapazona krasam.
+Pirms lietot šo spraudni, nepieciešams izveleties diapazonu, kura stradat.
+
+Tiek piedavati divi diapazoni:";
+$lang['cstat_small_colortable'] = 'Šaurais diapazons';
+$lang['cstat_large_colortable'] = 'Paplašinatais diapazons';
+$lang['cstat_help_small_color_table'] = "
+Šauraka krasu diapazona izmantošana var izraisit atgriežamo krasu tonu nepietiekamibu.Tam ir priekšrocibas, atlaujot meklešanu plašaka krasu diapazona.
+
+Savukart tonu izmainas ir mazakas un rezultatu atbilstiba, meklejot pec konkretas krasas var but loti parliecinoša.";
+$lang['cstat_help_large_color_table'] = "
+Darbošanas plaša krasu diapazona var sekmet lielaku dotas krasas gradaciju skaitu. Tam ir priekšrocibas daudz precizaku krasu gammu veidošana , kas savukart palielinas lielaku atbilstibu rezultatiem.
+
+Savukart attela, kura domine viens vai divi toni, krasu nianšu variacijas ieverojami samazinas standartkrasu nabadzibu.";
+$lang['cstat_sample_color_associated'] = 'Saistito krasu diapazons:';
+$lang['cstat_color'] = 'Krasa';
+$lang['cstat_validate'] = 'Iesniegt';
+
+
+$lang['cstat_database'] = 'Glabatuve';
+$lang['cstat_loading'] = 'Ielade...';
+$lang['cstat_update_color_database']= 'Krasu glabatuves atjauninašana';
+$lang['cstat_status_of_database']='Glabatuves stavoklis';
+$lang['cstat_analyze_not_analyzed_pictures'] = "Tiek analizeti vel nekad neanalizeti atteli un rezultats pievienots esošajam glabatuve";
+$lang['cstat_analyze_all_pictures'] = "Tiek analizeti visi galerija esošie atteli un rezultats aizvieto esošo glabatuve";
+$lang['cstat_analyze_caddie_add_pictures'] = "Tiek analizeti groza esošie atteli un rezultats pievienots esošajam glabatuve";
+$lang['cstat_analyze_caddie_replace_pictures'] = " Tiek analizeti groza esošie atteli un rezultats aizvieto esošo glabatuve";
+$lang['cstat_analyze'] = "Analizet";
+$lang['cstat_need_to_analyze'] = "Lai iegutu atsauces krasu, nepieciešams veikt galerijas tiešu analizi:";
+$lang['cstat_warning_on_analyze_0'] = "Bridinajums !";
+$lang['cstat_warning_on_analyze_1'] = "Glabatuves veidošana, izmantojot tiešas analizes metodi, var but ilgstoša (vairakas minutes uz apstradi) un servera resursu terejoša, tas atkarigs no analizei izveleto fotoattelu skaita.";
+$lang['cstat_warning_on_analyze_2'] = "Daži web hosti var neatbalstit šada veida darbibu.";
+
+$lang['cstat_updating_database']="Glabatuves atjauninašana";
+$lang['cstat_numberOfAnalyzedPictures']="Izanalizeti %d atteli";
+$lang['cstat_numberOfNotAnalyzedPictures']="%d atteli nav analizeti";
+$lang['cstat_numberOfPicturesInError']="%d attelus nevar izanalizet (kluda analizejot)";
+
+$lang['cstat_analyze_in_progress']="Notiek analize...";
+$lang['cstat_analyze_is_finished']="Analize pabeigta";
+
+$lang['cstat_stat']='Statistika';
+$lang['cstat_statistics']='Statistiska analize';
+$lang['cstat_number_of_colors_used']='Lietoto krasu skaits:';
+
+
+$lang['cstat_colors']='Krasas';
+$lang['cstat_Pct']='%';
+$lang['cstat_NumOfImages']='Attelu skaits';
+$lang['cstat_NumOfPixels']='Pikselu skaits';
+$lang['cstat_NumOfImages_help']="Uzrada attelu skaitu, kura ir esoša krasa.<br>Procentuali pret visu izanalizeto attelu skaitu.";
+$lang['cstat_NumOfPixels_help']="Uzrada pikselu skaitu, paredzetu attiecigai krasai.<br>Procenti ir relativi pret visu izanalizeto pikselu skaitu, parstavošu apgabalu 'area' uz visiem atteliem.";
+$lang['cstat_images']='atteli';
+$lang['cstat_surface']='virsma';
+
+
+
+
+$lang['cstat_search']='Meklet';
+$lang['cstat_search_by_color']='Meklet pec krasas';
+$lang['cstat_choose_colors']='Krasu panelis';
+$lang['cstat_choosen_colors']='Atlasitas krasas';
+$lang['cstat_operator_and']="Visam atlasitajam krasam jabut parstavetam attelos";
+$lang['cstat_operator_or']="Vismaz vienai no atlasitajam krasam jabut parstavetai attelos";
+$lang['cstat_operator_not']="Nevienai no atlasitajam krasam nav jabut parstavetam attela";
+$lang['cstat_color_already_choosen']='Krasa jau ir izveleta saraksta';
+$lang['cstat_add_colors']='Pievienot izveletas krasas';
+
+
+$lang['cstat_config']='Konfiguracija';
+$lang['cstat_gallery_integration']='Galerijas integrešana';
+$lang['cstat_apply']='Pielietot';
+$lang['cstat_stat_and_search']='Statistika & Petijumi';
+$lang['cstat_save_config']='Konfiguracija ir saglabata';
+$lang['cstat_display_colors_on_image']='Skatit ar attelu saistitas krasas';
+$lang['cstat_percent_min_significant']='Minimalais klatbutnes limemis attela, lai uzskatitu par pietiekamu, lai krasa butu deriga meklešanai:';
+$lang['cstat_config_plugin']='Spraudna konfigurešana';
+$lang['cstat_gallery_display_colors'] = 'Radit attela krasas';
+$lang['cstat_color_size'] = 'Dimensijas';
+$lang['cstat_significant_colors'] = 'Atbilstošas krasas';
+$lang['cstat_bench'] = 'Darbibas merišana';
+$lang['cstat_do_bench'] = 'Merit';
+$lang['cstat_do_benchmark'] = "Atkariba no servera darbaspejam, galerijas attelu analizes ilgums var variet. <br>
+Iespejams noskanot spraudni, lai uz analizes kvalitates rekina palielinatu analizes atrumu , vai otradi, rekinotie ar analizes atruma samazinašanos, palielinat analizes kvalitati. <br>
+
+The measure reflects performance computing capabilities at a given time, which may vary depending on server load: paredzamais apstrades laiks ir tikai indikativa rakstura un atkarigs no piejamajiem resursiem.
+";
+$lang['cstat_quality_of_analyze'] = 'Kvalitates analize';
+$lang['cstat_quality_level']='Kvalitate';
+$lang['cstat_estimated_time_one_picture']='Attelam domatais laiks';
+$lang['cstat_estimated_time_all_pictures']='Visiem atteliem domatais laiks';
+$lang['cstat_quality_highest']='Loti augsta';
+$lang['cstat_quality_high']='Augsta';
+$lang['cstat_quality_normal']='Normala';
+$lang['cstat_quality_low']='Zema';
+$lang['cstat_quality_lowest']='Loti zema';
+
+$lang['cstat_colors_on_image']='Ar attelu saistitas krasas';
+
+// new keys from release 1.0.2
+$lang['cstat_gpc_not_up_to_date']="Nepieciešama  <i>Grum Plugin Classes</i> %s versija. 
+Patlaban instaleta %s versija: paldies, ka atjauninajat <i>Grum Plugin Classes spraudni</i>.";
+
+
+?>