Index: /extensions/theme_switch/trunk/language/ru_RU/description.txt
===================================================================
--- /extensions/theme_switch/trunk/language/ru_RU/description.txt	(revision 8098)
+++ /extensions/theme_switch/trunk/language/ru_RU/description.txt	(revision 8098)
@@ -0,0 +1,1 @@
+Позволяет залогиненым и незалогиненым пользователям изменять внешний вид галереи (переключать темы) находясь на главной странице. Основан на переключении языка. Переключатель может показывать название темы или иконку темы в зависимости от конфигурации. Подробности смотрите в файле main.inc.php.
Index: /extensions/theme_switch/trunk/language/ru_RU/index.php
===================================================================
--- /extensions/theme_switch/trunk/language/ru_RU/index.php	(revision 8098)
+++ /extensions/theme_switch/trunk/language/ru_RU/index.php	(revision 8098)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/theme_switch/trunk/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/theme_switch/trunk/language/ru_RU/plugin.lang.php	(revision 8098)
+++ /extensions/theme_switch/trunk/language/ru_RU/plugin.lang.php	(revision 8098)
@@ -0,0 +1,24 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// | Theme switch plugin                                                   |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Pavel Budka                http://pbudka.co.cc |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['theme'] = "Тема";
+?>