Index: /extensions/About1menu/index.php
===================================================================
--- /extensions/About1menu/index.php	(revision 8104)
+++ /extensions/About1menu/index.php	(revision 8104)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/About1menu/language/en_UK/description.txt
===================================================================
--- /extensions/About1menu/language/en_UK/description.txt	(revision 8104)
+++ /extensions/About1menu/language/en_UK/description.txt	(revision 8104)
@@ -0,0 +1,1 @@
+Add About as menu level 1
Index: /extensions/About1menu/language/en_UK/index.php
===================================================================
--- /extensions/About1menu/language/en_UK/index.php	(revision 8104)
+++ /extensions/About1menu/language/en_UK/index.php	(revision 8104)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/About1menu/language/fr_FR/description.txt
===================================================================
--- /extensions/About1menu/language/fr_FR/description.txt	(revision 8104)
+++ /extensions/About1menu/language/fr_FR/description.txt	(revision 8104)
@@ -0,0 +1,1 @@
+Ajouter le lien vers la page about en menu de niveau 1
Index: /extensions/About1menu/language/fr_FR/index.php
===================================================================
--- /extensions/About1menu/language/fr_FR/index.php	(revision 8104)
+++ /extensions/About1menu/language/fr_FR/index.php	(revision 8104)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/About1menu/language/index.php
===================================================================
--- /extensions/About1menu/language/index.php	(revision 8104)
+++ /extensions/About1menu/language/index.php	(revision 8104)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/About1menu/main.inc.php
===================================================================
--- /extensions/About1menu/main.inc.php	(revision 8104)
+++ /extensions/About1menu/main.inc.php	(revision 8104)
@@ -0,0 +1,53 @@
+<?php
+/*
+Plugin Name: About 1 menu
+Version: 1
+Description: Add About as menu level 1
+Plugin URI: http://piwigo.org
+Author: ddtddt
+Author URI:http://piwigo.org/ext/extension_view.php?eid=478
+*/
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+define('A1M_DIR' , basename(dirname(__FILE__)));
+define('A1M_PATH' , PHPWG_PLUGINS_PATH . A1M_DIR . '/');
+
+add_event_handler('blockmanager_register_blocks', 'register_a1m_menubar_blocks');
+add_event_handler('blockmanager_apply', 'a1m_apply');
+
+function register_a1m_menubar_blocks( $menu_ref_arr )
+{
+  $menu = & $menu_ref_arr[0];
+  if ($menu->get_id() != 'menubar')
+    return;
+  $menu->register_block( new RegisteredBlock( 'mbAbout', 'About', 'A1M'));
+}
+
+function a1m_apply($menu_ref_arr)
+{
+  global $template;
+
+ $menu = & $menu_ref_arr[0];
+ 
+     // Envoi des données au template
+	    $template->assign	(
+		array	(
+        'A1MTITLE'     => l10n('About Piwigo'),
+        'A1MNAME'      => l10n('About'),
+        'A1MURL' => get_root_url().'about.php',
+				)			);
+
+   
+    if (($block = $menu->get_block( 'mbAbout' )) != null) {
+	$template->set_template_dir(A1M_PATH.'template/');
+	$block->template = 'menubar_about.tpl';
+    }
+}
+
+
+
+
+
+
+?>
Index: /extensions/About1menu/template/index.php
===================================================================
--- /extensions/About1menu/template/index.php	(revision 8104)
+++ /extensions/About1menu/template/index.php	(revision 8104)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/About1menu/template/menubar_about.tpl
===================================================================
--- /extensions/About1menu/template/menubar_about.tpl	(revision 8104)
+++ /extensions/About1menu/template/menubar_about.tpl	(revision 8104)
@@ -0,0 +1,1 @@
+<dt><a href="{$A1MURL}" title="{$A1MTITLE}">{$A1MNAME}</a></dt><dd></dd>