Index: /extensions/Contact1menu/index.php
===================================================================
--- /extensions/Contact1menu/index.php	(revision 8105)
+++ /extensions/Contact1menu/index.php	(revision 8105)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Contact1menu/language/en_UK/description.txt
===================================================================
--- /extensions/Contact1menu/language/en_UK/description.txt	(revision 8105)
+++ /extensions/Contact1menu/language/en_UK/description.txt	(revision 8105)
@@ -0,0 +1,1 @@
+Add Contact as menu level 1 / ContactForm plugin must be installed
Index: /extensions/Contact1menu/language/en_UK/index.php
===================================================================
--- /extensions/Contact1menu/language/en_UK/index.php	(revision 8105)
+++ /extensions/Contact1menu/language/en_UK/index.php	(revision 8105)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Contact1menu/language/fr_FR/description.txt
===================================================================
--- /extensions/Contact1menu/language/fr_FR/description.txt	(revision 8105)
+++ /extensions/Contact1menu/language/fr_FR/description.txt	(revision 8105)
@@ -0,0 +1,1 @@
+Ajouter le lien vers la page 'Contact' en menu de niveau 1 / Le plugin ContactForm doit être installé
Index: /extensions/Contact1menu/language/fr_FR/index.php
===================================================================
--- /extensions/Contact1menu/language/fr_FR/index.php	(revision 8105)
+++ /extensions/Contact1menu/language/fr_FR/index.php	(revision 8105)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Contact1menu/language/index.php
===================================================================
--- /extensions/Contact1menu/language/index.php	(revision 8105)
+++ /extensions/Contact1menu/language/index.php	(revision 8105)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Contact1menu/main.inc.php
===================================================================
--- /extensions/Contact1menu/main.inc.php	(revision 8105)
+++ /extensions/Contact1menu/main.inc.php	(revision 8105)
@@ -0,0 +1,51 @@
+<?php
+/*
+Plugin Name: Contact 1 menu
+Version: 1
+Description: Add contact as menu level 1
+Plugin URI: http://piwigo.org
+Author: ddtddt
+Author URI:http://piwigo.org/ext/extension_view.php?eid=479
+*/
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+define('C1M_DIR' , basename(dirname(__FILE__)));
+define('C1M_PATH' , PHPWG_PLUGINS_PATH . C1M_DIR . '/');
+
+
+add_event_handler('blockmanager_register_blocks', 'register_c1m_menubar_blocks');
+add_event_handler('blockmanager_apply', 'c1m_apply');
+
+function register_c1m_menubar_blocks( $menu_ref_arr )
+{
+  $menu = & $menu_ref_arr[0];
+  if ($menu->get_id() != 'menubar')
+    return;
+  $menu->register_block( new RegisteredBlock( 'mbContact', 'Contact', 'C1M'));
+}
+
+function c1m_apply($menu_ref_arr)
+{
+  global $template;
+
+ $menu = & $menu_ref_arr[0];
+ 
+ load_language('plugin.lang', CF_PATH);
+     // Envoi des données au template
+	    $template->assign	(
+		array	(
+        'C1MTITLE'     => l10n('contact_form_title'),
+        'C1MNAME'      => l10n('contact_form'),
+        'C1MURL' => get_root_url().'index.php?/contact',
+				)			);
+
+   
+    if (($block = $menu->get_block( 'mbContact' )) != null) {
+	$template->set_template_dir(C1M_PATH.'template/');
+	$block->template = 'menubar_contact.tpl';
+    }
+}
+
+
+?>
Index: /extensions/Contact1menu/template/index.php
===================================================================
--- /extensions/Contact1menu/template/index.php	(revision 8105)
+++ /extensions/Contact1menu/template/index.php	(revision 8105)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Contact1menu/template/menubar_contact.tpl
===================================================================
--- /extensions/Contact1menu/template/menubar_contact.tpl	(revision 8105)
+++ /extensions/Contact1menu/template/menubar_contact.tpl	(revision 8105)
@@ -0,0 +1,1 @@
+<dt><a href="{$C1MURL}" title="{$C1MTITLE}">{$C1MNAME}</a></dt><dd></dd>