Index: /extensions/PersoAbout/admin/admin.php
===================================================================
--- /extensions/PersoAbout/admin/admin.php	(revision 8115)
+++ /extensions/PersoAbout/admin/admin.php	(revision 8115)
@@ -0,0 +1,86 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+global $template, $conf, $user;
+include_once(PHPWG_ROOT_PATH .'admin/include/tabsheet.class.php');
+load_language('plugin.lang', PPA_PATH);
+$my_base_url = get_admin_plugin_menu_link(__FILE__);
+
+// +-----------------------------------------------------------------------+
+// | Check Access and exit when user status is not ok                      |
+// +-----------------------------------------------------------------------+
+check_status(ACCESS_ADMINISTRATOR);
+
+//-------------------------------------------------------- sections definitions
+
+// Gestion des onglets
+if (!isset($_GET['tab']))
+    $page['tab'] = 'gest';
+else
+    $page['tab'] = $_GET['tab'];
+
+$tabsheet = new tabsheet();
+$tabsheet->add('gest',
+               l10n('ppa_tab_gest'),
+               $my_base_url.'&amp;tab=gest');
+$tabsheet->add('help',
+               l10n('ppa_tab_help'),
+               $my_base_url.'&amp;tab=help');
+$tabsheet->select($page['tab']);
+$tabsheet->assign();
+
+// Onglet gest
+switch ($page['tab'])
+{
+  case 'gest':
+
+//charge Perso About
+$query = '
+select param,value
+	FROM ' . CONFIG_TABLE . '
+  WHERE param = "persoAbout"
+	;';
+$result = pwg_query($query);
+
+$row = mysql_fetch_array($result);
+    
+  $template->assign(
+    'gestA',
+    array(
+      'PPABASE' => $row['value'],
+      ));
+
+
+//insértion de meta dans la table
+if (isset($_POST['submitppa']) and !is_adviser())
+	{
+	$query = '
+UPDATE ' . CONFIG_TABLE . '
+  SET value= \''.$_POST['perso_about'].'\'
+  WHERE param = "persoAbout"
+    ;';
+$result = pwg_query($query);
+
+  $template->assign(
+    'gestA',
+    array(
+      'PPABASE' => $_POST['perso_about'],
+      ));
+
+	}
+
+    break;
+
+// Tab help
+  case 'help':
+$template->assign(
+    'gestB',
+	array(
+	  'meta'=>l10n('meta_name'),
+	  ));
+	break;
+	
+} 
+
+$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__) . '/admin.tpl')); 
+$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
+?>
Index: /extensions/PersoAbout/admin/admin.tpl
===================================================================
--- /extensions/PersoAbout/admin/admin.tpl	(revision 8115)
+++ /extensions/PersoAbout/admin/admin.tpl	(revision 8115)
@@ -0,0 +1,30 @@
+<div class="titrePage">
+  <h2>{'ppa_h2'|@translate}</h2>
+</div>
+<div id="configContent">
+{if isset ($gestA)}
+	<form method="post" >
+	 <fieldset id="mainConf">
+			<span class="property">
+				<label for="ppaperso">{'ppa_perso'|@translate}</label>
+			</span>
+			<textarea rows="5" cols="50" class="description" name="perso_about" id="perso_about">{$gestA.PPABASE}</textarea>
+  <p>
+    <input class="submit" type="submit" name="submitppa" value="{'Submit'|@translate}" {$TAG_INPUT_ENABLED}>
+    <input class="submit" type="reset" name="reset" value="{'Reset'|@translate}">
+  </p>
+  	</form>
+{/if}
+
+{if isset ($gestB)}
+	<div class="comment">
+		<h3>{'ppa_css'|@translate}</h3>
+			{'ppa_css_help'|@translate}
+	</div>
+	<br>
+	<div class="comment">
+		<h3>{'ppa_ED'|@translate}</h3>
+			{'ppa_ED_help'|@translate}
+	</div>
+{/if}
+</div>
Index: /extensions/PersoAbout/admin/index.php
===================================================================
--- /extensions/PersoAbout/admin/index.php	(revision 8115)
+++ /extensions/PersoAbout/admin/index.php	(revision 8115)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PersoAbout/index.php
===================================================================
--- /extensions/PersoAbout/index.php	(revision 8115)
+++ /extensions/PersoAbout/index.php	(revision 8115)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PersoAbout/language/en_UK/description.txt
===================================================================
--- /extensions/PersoAbout/language/en_UK/description.txt	(revision 8115)
+++ /extensions/PersoAbout/language/en_UK/description.txt	(revision 8115)
@@ -0,0 +1,1 @@
+Add bloc perso on about page
Index: /extensions/PersoAbout/language/en_UK/index.php
===================================================================
--- /extensions/PersoAbout/language/en_UK/index.php	(revision 8115)
+++ /extensions/PersoAbout/language/en_UK/index.php	(revision 8115)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PersoAbout/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/PersoAbout/language/en_UK/plugin.lang.php	(revision 8115)
+++ /extensions/PersoAbout/language/en_UK/plugin.lang.php	(revision 8115)
@@ -0,0 +1,15 @@
+<?php
+$lang['ppa_h2'] = 'Personal About';
+
+//Tab gest
+$lang['ppa_tab_gest'] = 'Gestion';
+$lang['ppa_perso'] = 'Personal About';
+
+//Tab help
+$lang['ppa_tab_help'] = 'Help';
+$lang['ppa_css'] = 'Customizing the presentation block';
+$lang['ppa_css_help'] = 'Your personal block is in tag <div id="persoabout">, you can use this ID in your theme or local file to customize your personal block';
+$lang['ppa_ED'] = 'Plugin "ExtendedDescription"';
+$lang['ppa_ED_help'] = 'You can use the tags [lang] of this plugin';
+
+?>
Index: /extensions/PersoAbout/language/fr_FR/description.txt
===================================================================
--- /extensions/PersoAbout/language/fr_FR/description.txt	(revision 8115)
+++ /extensions/PersoAbout/language/fr_FR/description.txt	(revision 8115)
@@ -0,0 +1,1 @@
+Ajout d'un bloc personnel dans la page about
Index: /extensions/PersoAbout/language/fr_FR/index.php
===================================================================
--- /extensions/PersoAbout/language/fr_FR/index.php	(revision 8115)
+++ /extensions/PersoAbout/language/fr_FR/index.php	(revision 8115)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PersoAbout/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/PersoAbout/language/fr_FR/plugin.lang.php	(revision 8115)
+++ /extensions/PersoAbout/language/fr_FR/plugin.lang.php	(revision 8115)
@@ -0,0 +1,15 @@
+<?php
+$lang['ppa_h2'] = 'Personal About';
+
+//Tab gest
+$lang['ppa_tab_gest'] = 'Gestion';
+$lang['ppa_perso'] = 'A propos perso';
+
+//Tab help
+$lang['ppa_tab_help'] = 'Aide';
+$lang['ppa_css'] = 'Personnalisation du bloc de présentation';
+$lang['ppa_css_help'] = 'Votre bloc perso est dans un <div id="persoabout">, vous pouvez donc utiliser cette ID dans votre thème ou en fichier local pour personaliser votre bloc perso';
+$lang['ppa_ED'] = 'Plugin "ExtendedDescription"';
+$lang['ppa_ED_help'] = 'Vous pouvez utiliser les balises [lang] de ce plugin';
+
+?>
Index: /extensions/PersoAbout/language/index.php
===================================================================
--- /extensions/PersoAbout/language/index.php	(revision 8115)
+++ /extensions/PersoAbout/language/index.php	(revision 8115)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PersoAbout/main.inc.php
===================================================================
--- /extensions/PersoAbout/main.inc.php	(revision 8115)
+++ /extensions/PersoAbout/main.inc.php	(revision 8115)
@@ -0,0 +1,58 @@
+<?php
+/*
+Plugin Name: Perso About
+Version: auto
+Description: Add bloc perso on about page
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=480
+Author: ddtddt
+Author URI: http://piwigo.org/
+*/
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+define('PPA_DIR' , basename(dirname(__FILE__)));
+define('PPA_PATH' , PHPWG_PLUGINS_PATH . PPA_DIR . '/');
+
+add_event_handler('get_admin_plugin_menu_links', 'PA_admin_menu');
+function PA_admin_menu($menu)
+{
+  array_push($menu, array(
+	'NAME' => 'Perso About',
+    'URL' => get_admin_plugin_menu_link(PPA_PATH . 'admin/admin.php')));
+  return $menu;
+}
+
+ if (script_basename() == 'about')
+	{
+  add_event_handler('loc_end_page_header', 'ppa');
+	}
+
+function ppa()
+ {
+	global $template;
+	$template->set_prefilter('about', 'ppaT');
+ }
+
+function ppaT($content, &$smarty)
+ {
+$PAED = pwg_db_fetch_assoc(pwg_query("SELECT state FROM " . PLUGINS_TABLE . " WHERE id = 'ExtendedDescription';"));
+if($PAED['state'] == 'active') add_event_handler('AP_render_content', 'get_user_language_desc');
+
+$query = '
+select param,value
+	FROM ' . CONFIG_TABLE . '
+  WHERE param = "persoAbout"
+	;';
+$result = pwg_query($query);
+
+$row = mysql_fetch_array($result);
+
+$pat=trigger_event('AP_render_content', $row['value']);
+ 
+  $search = '#<div id="piwigoAbout">#';
+      
+  $replacement = '<div id="piwigoAbout"><div id="persoabout">'.$pat.'</div>';
+
+  return preg_replace($search, $replacement, $content);
+}
+?>
Index: /extensions/PersoAbout/maintain.inc.php
===================================================================
--- /extensions/PersoAbout/maintain.inc.php	(revision 8115)
+++ /extensions/PersoAbout/maintain.inc.php	(revision 8115)
@@ -0,0 +1,21 @@
+<?php
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+function plugin_install()
+{
+    
+	
+	$query = 'INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment) VALUES ("persoAbout","","html displayed on the about page of your galler...");';
+    pwg_query($query);
+
+}
+
+function plugin_uninstall()
+{
+	$q = 'DELETE FROM ' . CONFIG_TABLE . ' WHERE param="persoAbout" LIMIT 1;';
+    pwg_query($q);
+}
+
+
+?>